/*===========================================================================
 * Project         : Mandrake Linux
 * Module          : mountloop
 * File            : xwait.c
 * Version         : $Id: xwait.c,v 1.3 2003/12/05 13:45:22 flepied Exp $
 * Author          : Frederic Lepied
 * Created On      : Sun Jun  9 22:40:55 2002
 *===========================================================================*/

static const char rcs_id[] = "$Id: xwait.c,v 1.3 2003/12/05 13:45:22 flepied Exp $";
static const char compile_id[] = "$Compile: " __FILE__ " " __DATE__ " " __TIME__ " $";

/*
 **********************************************************************
 *
 * Included files
 *
 **********************************************************************
 */

#include <X11/Xlib.h>
#include <stdio.h>

/*
 **********************************************************************
 *
 * Constants
 *
 **********************************************************************
 */

/*
 **********************************************************************
 *
 * Macros
 *
 **********************************************************************
 */

/*
 **********************************************************************
 *
 * New types
 *
 **********************************************************************
 */

/*
 **********************************************************************
 *
 * External functions
 *
 **********************************************************************
 */

/*
 **********************************************************************
 *
 * External variables
 *
 **********************************************************************
 */

/*
 **********************************************************************
 *
 * Global variables
 *
 **********************************************************************
 */

int
main(int argc, char * argv[])
{
  Display	*dpy;
  XEvent	ev;
  
  dpy = XOpenDisplay(NULL);

  if (!dpy) {
    return 1;
  }

  while (1) {
    XNextEvent(dpy, &ev);
  }

  return 1;
}


/*
 * Local variables:
 * mode: c
 * End:
 *
 * xwait.c ends here
 */
